<section class="MyGigs gray_bg">
  <div class="container">
    <div class="row">
      <div class="col-md-6 noPadding_mobile">
        <h2 class="GigList_Heading" style="margin-bottom: 0px;">Withdrawal</h2>
      </div>
      <!-- <div class="col-md-6 text-right searchbar">
        <input type="text" name="search" class="form-control" placeholder="Search...">
        <i class="fa fa-search"></i>
      </div> -->
    </div>

    <div class="row">
      <div class="col-md-2 offset-3 margin_left_0_xs noPadding_mobile">
        <div class="dash-widget">
          <h2 class="m-0 text-dark counter font-600"> {{paid_withdrawal | currency: 'INR':'symbol':'1.0-0'}}</h2>
          <div class="text-muted m-t-5">Paid Withdrawal</div>
        </div>
      </div>
      <div class="col-md-2 noPadding_mobile">
        <div class="dash-widget">
          <h2 class="m-0 text-dark counter font-600"> {{total_withdrawal | currency: 'INR':'symbol':'1.0-0'}}</h2>
          <div class="text-muted m-t-5">Total Withdrawal</div>
        </div>
      </div>
      <div class="col-md-2 noPadding_mobile">
        <div class="dash-widget">
          <h2 class="m-0 text-dark counter font-600"> {{taskmer_wallet | currency: 'INR':'symbol':'1.0-0'}}</h2>
          <div class="text-muted m-t-5">Taskmer Wallet</div>
        </div>
      </div>
    </div>



    <div class="row">
      <div class="col-md-12 noPadding_mobile">
        <!-- <a href="#" class="btn btn-success btn-sm create_new_gig_button">Create New Gig</a> -->
        <div class="tabbable-panel">
          <div class="tabbable-line">
            <ul class="nav nav-tabs bg_color_tabs">
              <li>
                <a href="#tab_default_1" class="active" data-toggle="tab" id="incoming_tab"
                  (click)="onTabChange('incoming_tab')">INCOMING <span
                    class="badge custom_badge">{{incomming_count}}</span></a>
              </li>
              <li>
                <a href="#tab_default_2" data-toggle="tab" id="withdrawal_tab"
                  (click)="onTabChange('withdrawal_tab')">WITHDRAWAL <span
                    class="badge custom_badge">{{withdrawal_count}}</span></a>
              </li>
            </ul>
            <div class="tab-content">
              <div class="tab-pane active" id="tab_default_1">
                <div class="row mb-2">
                  <div class="col-sm-6 col-xs-12 text-right noPadding_mobile">
                    <div class="row">
                      <div class="col-md-4 text-left" style="padding: 0px;">
                        <h5 class="withdrawal_heading_text">INCOMING WITHDRAWAL</h5>
                      </div>
                      <div class="mobile_withdrawal">
                        <div class="col-md-6 col-xs-12 text-right withdrawal_text_field_div noPadding_mobile">
                          <form>
                            <input type="text" class="form-control withdrawal_text_field" min="0"
                              placeholder="Enter Amount" name="txt_withdraw" [(ngModel)]="withdraw_Amt"
                              #txt_withdraw="ngModel" autocomplete="off" (keypress)="onlyNumbers($event)">
                          </form>
                        </div>
                        <div class="col-md-2 col-xs-4 text-left noPadding_mobile" style="padding-left: 0px;">
                          <a class="btn btn-primary btn-sm Add_button_custom withdrawal_btn"
                            (click)="onAddWithdrawbtn()"><i class="fa fa-plus"></i>
                            <span class="remove_text_mobile">Withdraw</span>
                          </a>
                        </div>
                      </div>

                    </div>
                  </div>
                  <div class="col-md-6 col-xs-6 text-right searchbar noPadding_mobile">
                    <form>
                      <input type="text" name="search" class="form-control" placeholder="Search..." [(ngModel)]="search"
                        autocomplete="off">
                      <i class="fa fa-search" style="position: absolute;top: 9px;right: 22px;"
                        (click)="onSearchBtnClick()"></i>
                    </form>
                  </div>
                </div>
                <div class="row">
                  <div class="col-md-12 noPadding_mobile">
                    <div class="Gig_table">
                      <!--KENDO GRID FOR ACTIVE GIGs START-->
                      <!-- <kendo-grid [data]="incomingWithdrawal_gridData" [height]="auto" 
                        [sort]="sort" [skip]="state.skip" [pageSize]="pageSize"
                        (sortChange)="sortIncoming_withdrawal($event)" [filter]="state.filter" scrollable="true"
                        [resizable]="true" [reorderable]="true" (dataStateChange)="incoming_withdrawalDataStateChange($event)"
                        (pageChange)="incoming_withdrawal_pageChange($event)"> -->

                      <kendo-grid [data]="incomingWithdrawal_gridData" height="auto" [pageSize]="pageSize" [sort]="sort"
                        [skip]="state.skip" (sortChange)="sortIncoming_withdrawal($event)" [filter]="state.filter"
                        [pageable]="true" scrollable="true" [resizable]="true" [reorderable]="true"
                        (dataStateChange)="incoming_withdrawalDataStateChange($event)"
                        (pageChange)="incoming_withdrawal_pageChange($event)">

                        <kendo-grid-column field="order_date" title="ORDER DATE"
                          [headerStyle]="{'height':'40px','text-align':'left','width':'120px'}"
                          [style]="{'width':'120px'}">
                          <ng-template kendoGridCellTemplate let-index="dataItem">
                            <div class="row">
                              <div class="col-md-12 row_padding text-left noPadding_mobile">
                                {{index.created_date|date:'dd MMM yyyy'}}
                              </div>
                            </div>
                          </ng-template>
                        </kendo-grid-column>

                        <kendo-grid-column field="ORDER_ID" title="ORDER NO"
                          [headerStyle]="{'height':'40px','text-align':'left','width':'160px'}"
                          [style]="{'width':'160px'}">
                          <ng-template kendoGridCellTemplate let-index="dataItem">
                            <div class="row">
                              <div class="col-md-12 row_padding text-left noPadding_mobile">
                                <div>
                                  {{index.order_no}}
                                </div>
                              </div>
                            </div>
                          </ng-template>
                        </kendo-grid-column>

                        <kendo-grid-column field="gig" title="GIG"
                          [headerStyle]="{'height':'40px','text-align':'left','width':'200px'}"
                          [style]="{'width':'200px'}">
                          <ng-template kendoGridCellTemplate let-index="dataItem">
                            <div class="row">
                              <div class="col-md-12 row_padding text-left noPadding_mobile">
                                <a href="javascript:void(0)" class="gig_name_text"
                                  (click)="openGigDetails(index.gig_id,index.gig_status_id)">
                                  {{index.gig.title}}
                                </a>
                              </div>
                            </div>
                          </ng-template>
                        </kendo-grid-column>

                        <kendo-grid-column field="BUYER" title="BUYER"
                          [headerStyle]="{'height':'40px','text-align':'left','width':'140px'}"
                          [style]="{'width':'140px'}">
                          <ng-template kendoGridCellTemplate let-index="dataItem">
                            <div class="row">
                              <div class="col-md-12 row_padding text-left noPadding_mobile">
                                <div>
                                  <a href="javascript:void(0)" (click)="OnbuyernameClick(index.buyer.id)">
                                    <h6 class="table_heading_name trade_font" style="color: #19b5fe !important;">
                                      {{index.buyer.user_name}}
                                    </h6>
                                  </a>
                                </div>
                              </div>
                            </div>
                          </ng-template>
                        </kendo-grid-column>

                        <kendo-grid-column field="AMOUNT" title="AMOUNT"
                          [headerStyle]="{'height':'40px','text-align':'center','width':'90px'}"
                          [style]="{'width':'90px'}">
                          <ng-template kendoGridCellTemplate let-index="dataItem">
                            <div class="row">
                              <div class="col-md-12 row_padding text-center noPadding_mobile">
                                <div>
                                  {{index.total_amount_without_service_fee | currency: 'INR':'symbol':'1.0-0'}}
                                </div>
                              </div>
                            </div>
                          </ng-template>
                        </kendo-grid-column>

                        <kendo-grid-column field="ORDER_STATUS" title="ORDER STATUS"
                          [headerStyle]="{'height':'40px','text-align':'center','width':'100px'}"
                          [style]="{'width':'100px'}">
                          <ng-template kendoGridCellTemplate let-index="dataItem">
                            <div class="row">
                              <div class="col-md-12 row_padding text-center noPadding_mobile">
                                <div>
                                  <h6 class="table_heading_name trade_font"><span class="{{index.property}}">
                                      {{index.order_status?.order_status_name}}
                                    </span>
                                  </h6>
                                </div>
                              </div>
                            </div>
                          </ng-template>
                        </kendo-grid-column>
                      </kendo-grid>
                      <!--KENDO GRID FOR ACTIVE GIGs END-->
                    </div>
                  </div>
                </div>
              </div>
              <div class="tab-pane" id="tab_default_2">
                <div class="row mb-2">
                  <div class="col-md-6 noPadding_mobile">
                    <h5>WITHDRAWAL</h5>
                  </div>
                  <div class="col-md-6 col-xs-6 text-right searchbar noPadding_mobile">
                    <form>
                      <input type="text" name="search" class="form-control" placeholder="Search..." [(ngModel)]="search"
                        autocomplete="off">
                      <i class="fa fa-search" (click)="onSearchBtnClick()"></i>
                    </form>
                  </div>
                </div>
                <div class="row">
                  <div class="col-md-12 noPadding_mobile">
                    <div class="Gig_table">

                      <!--KENDO GRID START-->

                      <kendo-grid [data]="withdrawal_gridData" height="auto" [pageSize]="pageSize" [sort]="sort"
                        [skip]="state.skip" (sortChange)="sortwithdrawal($event)" [filter]="state.filter"
                        [pageable]="true" scrollable="true" [resizable]="true" [reorderable]="true"
                        (dataStateChange)="withdrawalDataStateChange($event)"
                        (pageChange)="withdrawalpageChange($event)">

                        <kendo-grid-column field="orderDate" title="PAYABLE DATE"
                          [headerStyle]="{'height':'40px','text-align':'left','width':'100px'}"
                          [style]="{'width':'100px'}">
                          <ng-template kendoGridCellTemplate let-index="dataItem">
                            <div class="row">
                              <div class="col-md-12 row_padding text-left noPadding_xs">
                                <div>
                                  {{index.created_date|date:'dd MMM yyyy'}}
                                </div>
                              </div>
                            </div>
                          </ng-template>
                        </kendo-grid-column>

                        <kendo-grid-column field="amount" title="AMOUNT"
                          [headerStyle]="{'height':'40px','text-align':'center','width':'100px'}"
                          [style]="{'width':'100px'}">
                          <ng-template kendoGridCellTemplate let-index="dataItem">
                            <div class="row">
                              <div class="col-md-12 row_padding text-center noPadding_xs">
                                <div>
                                  {{index.fin_trans_dtl[0].amount | currency: 'INR':'symbol':'1.0-0'}}
                                </div>
                              </div>
                            </div>
                          </ng-template>
                        </kendo-grid-column>

                        <kendo-grid-column field="transaction_id" title="TRANSACTION ID"
                          [headerStyle]="{'height':'40px','text-align':'center','width':'100px'}"
                          [style]="{'width':'100px'}">
                          <ng-template kendoGridCellTemplate let-index="dataItem">
                            <div class="row">
                              <div class="col-md-12 row_padding text-center noPadding_xs">
                                <div>
                                  {{index.razorpay_payment_no}}
                                </div>
                              </div>
                            </div>
                          </ng-template>
                        </kendo-grid-column>

                        <kendo-grid-column field="acc_no" title="REMARK"
                          [headerStyle]="{'height':'40px','text-align':'center','width':'200px'}"
                          [style]="{'width':'200px'}">
                          <ng-template kendoGridCellTemplate let-index="dataItem">
                            <div class="row">
                              <div class="col-md-12 row_padding text-center noPadding_xs">
                                <div *ngIf="index.voucher_type.id==3">
                                  Withdrawal against this {{index.order_no}} account
                                </div>
                                <div *ngIf="index.voucher_type.id==6 || index.voucher_type.id==7">
                                  Payment against this {{index.order_no}} order
                                </div>
                              </div>
                            </div>
                          </ng-template>
                        </kendo-grid-column>
                      </kendo-grid>
                      <!--KENDO GRID-->
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>